:root {
    --color-primary: #18728D;

    --color-petroleo: #1D3341;
    --color-azul: #242F4B;
    --color-grisaceo: #7394a7;
    --color-amarillo-claro: #A59F49;
    --color-cyan: #18728D;

    --color-danger: #A62D3B;
    --color-success: #1B702F;
    --color-warning: #D6A206;
    --color-info: #0F6086;
    
}

html,
body {
    min-height: -webkit-fill-available;
    min-height: 100%;
    position: relative;
    font-family: "Montserrat", sans-serif ! Important;
    font-size: 16px;
    background-color: #ffffff ! Important;
    color: #343A40;
}

* {
    box-sizing: border-box;
}

.bg-azul {    background-color: var(--color-petroleo);}
.bg-celeste {    background-color: var(--color-primary);}
.bg-amarillo-claro {background-color: var(--color-amarillo-claro);}

.br-danger {
    border-color: var(--color-danger) !important;
}

a {
    color: var(--color-primary);
    text-decoration: none;
}
a:hover {
    color: var(--color-azul);
}
.fw-semibold {
    font-weight: 600;
}

/*----------------------------- ENCABEZADO -----------------------------------*/
#header {    
	padding: 20px;
}
#header .area {
    margin: 0px;
    line-height: 2rem;
    color: #ffffff;
    text-align: right;
    font-weight: 600;
    font-size: 2.3rem;
}
#header .sub-brand {
    text-align: right;
    color: #FFF;
    font-weight: 200;
    font-size: 1.2rem;
}
.escudo-movil {
    display: none;
}
/*------------------------------- NAVBAR ------------------------------------------------------------*/
a.nav-link, li.nav-item.nav-link {    padding: 10px 15px ! Important;}
a.nav-link.dropdown-toggle.show{    background-color: var(--color-primary)! Important;}

.navbar-dark .navbar-nav .nav-link {
    color: white;
    text-transform: uppercase;
    font-weight: 500;
}

.navbar-dark .navbar-nav .nav-link:hover {
    background-color: var(--color-primary);
    color: white;
}
li.nav-item.nav-link :hover, li.nav-item.nav-link div:hover  {
    background-color: var(--color-primary);
    color: white;
}
.navbar-dark .navbar-nav .dropdown-menu {
    background-color: var(--color-primary);
    border: none;
	margin-top: 0px;
	border-radius: 0px 0px 5px 5px;
}

.navbar-dark .navbar-nav .dropdown-menu .dropdown-item {
    color: white;
}

.navbar-dark .navbar-nav .dropdown-menu .dropdown-item:hover {
    background-color: var(--color-grisaceo);
    /* color: white; */
}

.navbar {
    font-size: 1rem;
}


/*----------------------------- CONTENIDO ------------------------------------*/
main {
    min-height: calc(100vh - 416px);
    padding: 4em 0em;
}

.titulo-seccion {
	font-weight: 700;
}
.descripcion{
	font-size: 1.2rem;
    font-weight: 400;
}
.btn {
    border-radius: 10px;
    cursor: pointer;
}
.alert-message{
    background-repeat: no-repeat;
    position: fixed;
    bottom: 5px;
    left: 20px;
    font-size: larger;
    z-index: 99;
}
.icon-xl {
    font-size: 4rem;
    padding: 0.3em;
}
.alert-mensaje{
    background-repeat: no-repeat;
    position: fixed;
    bottom: 5px;
    left: 20px;
    font-size: larger;
    z-index: 99;
}
/*-------------------------------- FORMULARIOS ---------------------------------------*/

#detalle-login {
    width: 30%;
    padding: 1rem;
    z-index: 100;
    right: 0;
    margin-right: 35%;
    margin-left: 35%;
    background-color: #f7f7f7;
    border: 1px solid #e8e8e8;
}

@media screen and (max-width:580px) {
    .footer-informatica .copyright {
        text-align: right !important;
    }

    .hr-sm {
        border-top: 2px solid #ddd;
        margin: 0 5em;
    }

    .center-sm {
        text-align: center !important;
    }

    .card {
        margin: 0px;
    }

    form .btn.btn-secondary {
        width: 100%;
    }

    form h3 {
        margin: 1.5rem 0px;
        font-size: 1.5rem;
    }

    #navbar-banner .col-xs-10 {
        -ms-flex: 0 0 83.333333%;
        flex: 0 0 83.333333%;
        max-width: 83.333333%;
    }

    #navbar-banner .col-xs-2 {
        -ms-flex: 0 0 16.666667%;
        flex: 0 0 16.666667%;
        max-width: 16.666667%;
    }

    div#desplegar-menu {
        margin: 10px 20px 20px 20px;
    }

    .titulo {
        font-size: 1.4em;
    }

    .subtitulo {
        font-size: 1em;
    }

    .img-banner-gde {
        visibility: hidden !important;
    }

    .img-banner-peq {
        visibility: visible;
        position: absolute;
        left: 0;
        max-width: 100px;
    }

    #contenido {
        min-height: 50px;
    }

    .jumbo-footer {
        font-size: 0.7em;
    }

    #detalle-login {
        margin-left: auto;
        margin-right: 10%;
        width: 80%;
        padding: 1rem;
        z-index: 100;
        margin-top: 0rem;
        background-color: #f7f7f7;
        border: 1px solid #e8e8e8;
    }

    .carousel-txt {
        display: none;
    }

    .card-enlace {
        margin: 0.5em;
    }

    div#contenido {
        margin-bottom: 20px;
    }
}

@media screen and (min-width:481px) and (max-width:767px) {
    .hr-sm {
        border-top: 2px solid #ddd;
        margin: 0 5em;
    }

    .center-sm {
        text-align: center !important;
    }

    .nomostrar {
        display: none;
    }

    .simostrar {
        display: grid;
    }

    div#contenido {
        margin-bottom: 10px;
    }

    .titulo {
        font-size: 1em;
        color: var(--color-santa_cruz, #00AFD9);
        font-weight: 600;
    }

    .subtitulo {
        font-size: 0.7em;
        color: #777;
        font-weight: 600;
    }

    .img-banner-gde {
        visibility: hidden;
    }

    .img-banner-peq {
        position: absolute;
        left: 0;
        visibility: visible;
    }

    #contenido {
        min-height: 100px;
    }

    #detalle-login {
        width: 60%;
        padding: 1rem;
        z-index: 100;
        filter: opacity(.9);
        display: table;
        margin-right: 20%;
        margin-left: 20%;
        background-color: #f7f7f7;
        border: 1px solid #e8e8e8;
    }

    .carousel-txt {
        display: none;
    }

    .card-enlace {
        margin: 1em;
    }
}

.btn-block{
    display: block;
    width:100%
}
/*------------------------ PROGRESO DE FORMULARIO ----------------------------*/

#progreso_barra {
    position: absolute;
    top: 40%;
}

.icon-base-activo {
    color: var(--color-grisaceo) !important;
}

.icon-base-inactivo {
    color: gray;
}

.icon-base-actual {
    color: var(--color-azul) !important;
}

.icon-base-faltan-datos {
    color: var(--color-danger);
}

.btn-progreso {
    padding: 6px 0px;
    border-radius: 15px;
    text-align: center;
    font-size: 12px;
    line-height: 1.42857;
}

.icon-flotante {
    color: #fff !important;
    position: absolute;
    top: 20%;
    left: 0;
    right: 0;
    font-size: 1.2em;
}
.titulo-btn-progreso{
    font-size: .70em;
    color: #6c757d !important;
    word-wrap: initial;
}


/*-------------------------------- PANELES ---------------------------------------*/


section.paneles {    position: relative;}
section.paneles a { text-decoration: none; color:#333}
section.paneles .card-header {background-color: #023059; color: #FFF;}
section.paneles .card-body { 	    }
section.paneles .card-body i {    font-size: 2.5rem;    margin-right: 20px ! Important;    color: var(--color-amarillo-claro);}
section.paneles .card:hover {  transform: translateY(-5px); box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);  background-color: #fbfbfb;  cursor: pointer; /*border: 1px solid #023059;*/} 

.panel {
    margin-bottom: 2em;
    border: solid 1px #ddd;
    border-radius: 10px;
    border-color: #ddd;
    border-bottom-color: rgb(221, 221, 221);
    border-bottom: 12px solid var(--color-petroleo);
    box-shadow: none;
    color: #333 !important;
    display: block;
    width: 100%;
    text-decoration: none !important;
}

.panel:hover {
    background: #f2faf3;
    color: var(--color-azul-petroleo);
}

.panel h3 {
    font-size: 1.25em;
    font-weight: 700;
    line-height: 1.3;
    margin: .25em 0;
}

/*------------------------------------------------ Btn ir arriba -------------------------------------------- */
.ir-arriba{
    display:none;
    background-repeat:no-repeat;
    font-size:26px;
    color: var(--color-petroleo) !important;
    cursor:pointer;
    position:fixed;
    bottom:15px;
    right:30px;
    z-index:2;
  }

.ir-arriba:hover{
    color: #767676;
}
/*-------------------------------- PIE ---------------------------------------*/

footer {
    display: block;
}
.footer-main {
    background-color: #e3e3e3;
	
}
.footer-main a{
    text-decoration: none;
    background-color: transparent;
}	
	
footer .copyright {
    color: white;
    font-size: 0.9rem;
    text-align: center;
}

/*------------------------------------------------ Lista --------------------------------------------------- */
.table-click {
    background-color: white;
    border-radius: 5px;
    box-shadow: 0 1px 2px 0 rgba(60, 64, 67, 0.12), 0 1px 3px 1px rgba(60,64,67,0.15);
}
.fila-click:hover {
    cursor: pointer;
    -webkit-transition: transform 2s ease-in-out;
    color: rgb(44, 44, 44) !important;
    background-color: rgb(211, 211, 211) !important;
}
.fila-click:active {
    box-shadow: 3px 2px 12px 1px rgba(0, 0, 0, 0.24);
}

td {
    word-wrap: break-word;
    word-break: break-all;
    white-space: normal;
}

/*------------------------------------------------ Paginacion --------------------------------------------------- */

.page-item.active .page-link{
    background-color: var(--color-primary);
    border-color: var(--color-primary);
}

.page-link{
    color: var(--color-primary);
}

/*-------------------------------- COLORS ---------------------------------------*/

.btn-primary, .btn-primary:focus, .btn-primary:hover {
    background-color: var(--color-primary) !important;
    color: #fff !important;
    border-color: var(--color-primary);
}
.btn-outline-primary, .btn-outline-primary:focus, .btn-outline-primary:hover {
    background-color: #fff !important;
    color: var(--color-primary) !important;;
    border-color: var(--color-primary);
}
.btn-celeste, .btn-celeste:focus, .btn-celeste:hover {
    background-color: var(--color-grisaceo) !important;
    color: #fff !important;
    border-color: var(--color-grisaceo);
}
.btn-outline-celeste, .btn-outline-celeste:focus, .btn-outline-celeste:hover {
    background-color: #fff !important;
    color: var(--color-grisaceo) !important;
    border-color: var(--color-grisaceo);
}
.bg-info{
    background-color: var(--color-info) !important;
    color: #fff !important;
}
.btn-info, .btn-info:focus, .btn-info:hover {
    background-color: var(--color-info) !important;
    color: #fff !important;
    border-color: var(--color-info);
}
.alert-info {
    background-color: #7394a71e !important;
    color: var(--color-info) !important;
    border-color: var(--color-info);
}
.btn-verde, .btn-verde:focus, .btn-verde:hover {
    background-color: var(--color-verde) !important;
    color: #fff !important;
    border-color: var(--color-verde);
}

.btn-petroleo, .btn-petroleo:focus {
    background-color: var(--color-petroleo) !important;
    color: #fff !important;
    border-color: var(--color-petroleo);
}

.btn-amarillo-claro, .btn-amarillo-claro:focus {
    background-color: var(--color-amarillo-claro) !important;
    color: #fff !important;
    border-color: var(--color-amarillo-claro);
}
.btn-outline-amarillo-claro, .btn-outline-amarillo-claro:focus {
    background-color: #fff !important;
    color: var(--color-amarillo-claro) !important;
    border-color: var(--color-amarillo-claro);
}

.btn-danger, .btn-danger:focus, .btn-danger:hover {
    background-color: var(--color-danger) !important;
    color: #fff !important;
    border-color: var(--color-danger);
}

.btn-outline-danger, .btn-outline-danger:focus, .btn-outline-danger:hover {
    background-color: #fff !important;
    color: var(--color-danger) !important;
    border-color: var(--color-danger);
}

.btn-success, .btn-success:focus, .btn-success:hover {
    background-color: var(--color-success) !important;
    color: #fff !important;
    border-color: var(--color-success);
}

.simostrar{
    display: none;
}


/* Ícono chevron blanco cuando está cerrado */
.accordion-button::after {
  filter: invert(1); /* convierte el chevron a blanco */
}

/* Cuando el acordeón está abierto */
.accordion-button:not(.collapsed) {
  background-color: #ffffff !important; /* fondo blanco */
  color: #000000 !important; /* texto negro */
}

/* Chevron vuelve a su color original (negro) cuando está abierto */
.accordion-button:not(.collapsed)::after {
  filter: invert(0);
}

/*-------------------------------- OTROS TAMAÑOS DE PANTALLA ---------------------------------------*/
@media screen and (max-width:767px) {
	main {    min-height: auto;    padding: 2em 0em;}
    .escudo-desktop { display: none; }
    .escudo-movil { display: block; }
	#header .container {     padding: 0px;}
	#header .area { text-align: left; font-size:1.8rem;}	
	#header .sub-brand { text-align: left; font-size: 1.1rem;}

	#offcanvasNavbar {	max-width: 80%;}
	#offcanvasNavbar .offcanvas-header {   display: flex;    flex-wrap: nowrap;    justify-content: space-between;    align-items: center;    padding: .75rem 1.5rem;}
	#offcanvasNavbar button.btn-close.text-reset {    background-color: #1D3341;    border: 0;    border-radius: 50%;    height: 32px;    outline: none;    margin-left: auto;    padding: 0;    transition: all .2s ease-in-out;    text-shadow: none;    font-weight: 500;    font-size: 38px;    line-height: 32px;    opacity: initial;}	
	#offcanvasNavbar span.c-buttontext {    font-weight: 500;    font-size: 38px;    line-height: 32px;    color: #1D3341;    display: block;    height: 32px;    transition: all .35s ease;}
	#offcanvasNavbar button.close.js-offcanvas-close.c-button {    border: 0px;    border-radius: 50%;}
	#offcanvasNavbar .offcanvas-body {    padding: 25px 0px;}
	#offcanvasNavbar li.nav-item.lindiv {    display: flex;    justify-content: space-between;    align-items: stretch;    position: static;    border-bottom: 1px solid #e9ecef;    padding: 0 2rem;}
	#offcanvasNavbar .nav-link {    padding: 15px 0px; color: var(--color-azul);}
	#offcanvasNavbar .nav-link:hover {    background-color: #dee0e1;}	
	#offcanvasNavbar a.nav-link.dropdown-toggle {    background-color: transparent;}
	#offcanvasNavbar a.nav-link.dropdown-toggle.show {    background-color: #dee0e1! Important;}
	#offcanvasNavbar ul.dropdown-menu.show {         padding: 0px!Important;    margin-top: 0px!Important;    border-radius: 0px!Important; background-color: #f8f9fa;}
	#offcanvasNavbar ul.navbar-nav.admin {    border-top: 1px solid var(--color-azul);    padding-top: 0.5rem;    margin-top: 1rem;}
	#offcanvasNavbar a.dropdown-item {    padding: 10px 15px ! Important;}
	
	        
	.nomostrar {
        display: none;
    }

    .simostrar {
        display: grid;
    }
}

/*------------------------------------------------ LOADER --------------------------------------------------- */
.loader {
    color: var(--color-santa_cruz, #00AFD9);
    position: fixed;
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
    background-color: white;
    opacity: .9;
    display: table;
}

.loader-modal {
    color: var(--color-santa_cruz, #00AFD9);
    left: 0px;
    top: 0px;
    width: 100%;
    height: 100%;
    z-index: 9999;
}

.spinner.text-center {
    display: table-cell;
    vertical-align: middle;
}


.border-azul {
    border-color: var(--color-azul);
}